<?xml version="1.0" encoding="UTF-8" ?>
<node name="/nl/miqra/MediaCore/Hid">
   <interface name="nl.miqra.MediaCore.Hid">
        <method name="SetColor">
            <arg type="y" name="r" direction="in" />
            <arg type="y" name="g" direction="in" />
            <arg type="y" name="b" direction="in" />
        </method>
        <method name="ClearColor">
        </method>        
        <method name="PulseColor">
            <arg type="y" name="r" direction="in" />
            <arg type="y" name="g" direction="in" />
            <arg type="y" name="b" direction="in" />
            <arg type="d" name="interval" direction="in" />
        </method>
        <signal name="ButtonDown">
            <arg name="button" type="s"/>
        </signal>
        <signal name="ButtonUp">
            <arg name="button" type="s"/>
        </signal>
        <signal name="ButtonPress">
            <arg name="button" type="s"/>
        </signal>
        <signal name="ButtonLongPress">
            <arg name="button" type="s"/>
        </signal>
        
   </interface>
 </node>